> For the complete documentation index, see [llms.txt](https://lynx-4.gitbook.io/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://lynx-4.gitbook.io/api/endpoints/assets.md).

# Assets

### Endpoint

GET /api/v1/assets

### Description

This endpoint returns the USD price for a given token or a comma-separated list of asset IDs. The `asset_ids` parameter is required and should be a string in the format `<TOKEN_CONTRACT_ADDRESS>:<NETWORK_ID>`. The `TOKEN_CONTRACT_ADDRESS` is the address of the token contract on the specified network, and the `NETWORK_ID` is the ID of the network the token is on. See [supported networks](/api/supported-networks.md) for more info.

### Query String Parameters

* `asset_ids` (required): A comma-separated string in the format `<TOKEN_CONTRACT_ADDRESS>:<NETWORK_ID>` that identifies the tokens to look up.

### Headers

* x-api-key (required): A valid API key.

### Example

```rust
curl -X GET 'https://data.lynxcrypto.app/api/v1/assets?asset_ids=0xe7057b10e2b59f46d151588d9c8694b4b8328f44:56
'
-H 'x-api-key: <YOUR_API_KEY>'
```

### Response

```
[
    {
        "contract": "0xe7057b10e2b59f46d151588d9c8694b4b8328f44",
        "chain": 56,
        "name": "blockbusters",
        "symbol": "bbtf",
        "usd_price": 0.0003757248951432242,
        "price_change": -12.745772423898371,
        "decimals": 18,
        "total_supply": 10000000000
    }
]
```

### Response Codes

* `200`: Success. Returns the USD price for the given token.
* `400`: Bad Request. The `asset_ids` query string parameter is not provided.
* 403: Forbidden. The x-api-key header is not provided or is invalid.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://lynx-4.gitbook.io/api/endpoints/assets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
